-- FirstStage generated output file
require( "scripts/style.lua" );

SetDefaultStyle( DefaultStyle );

local accept_button_label ="yes" ;	
local accept_button_name="YES";

local refuse_button_label ="no" ;	
local refuse_button_name="NO";

local text_accept = gDialogTable.text_accept;
local text_title = gDialogTable.title;

MakeDialog
{
	Bitmap
	{
			image = "backgrounds/speedmenu",
			name = "event_background",
			x = kCenter,
			y = kCenter,

      EventDialog
      {
        x = 0,
        y = 0,
        w = kMax,
        h = kMax,
		text_begin = gDialogTable.text_begin,
		event_name = gDialogTable.event_name,
  		SetStyle( OptionsValidationButtonStyle ),
		Button
		{
			--close = true,
			flags = 5,
			label = "ok",
			name = "OK",
			x = kCenter,
			y = kMax-90,
			command = 
				function()
					AcceptEvent();
					FadeOut();
				end
		},
		-- Button
		-- {
			-- close = true,
			-- flags = 5,
			-- label = accept_button_label,
			-- name = accept_button_name,
			-- x = kCenter-100,
			-- y = kMax-90,
			-- command = 
				-- function()
					-- AcceptEvent();
					-- F_dialogbox(text_title, text_accept)
				-- end
		-- },
		-- SetStyle( OptionsCancelButtonStyle ),
		-- Button
		-- {
			-- flags = 5,
			-- label = refuse_button_label,
			-- name = refuse_button_name,
			-- x = kCenter+100,
			-- y = kMax-90,
			-- command = 
				-- function()
					-- FadeOut();
					-- RefuseEvent();
				-- end
		-- },
		SetStyle( DialogTitleText ),
		Text{ label=gDialogTable.title },
		SetStyle( DialogBodyText ),
		Text
		{
			x = 50,
			y = 80,
			w = kMax -50,
			h = kMax - 90,
			label = gDialogTable.text_begin,
		},
       },
	},
}

gDialogTable = {}
